This is Xamarin's bug tracking system. For product support, please use the support links listed in your Xamarin Account.
Bug 6650 - Dispose not being called when exiting using block when using LLVM
: Dispose not being called when exiting using block when using LLVM
Status: REOPENED
Product: iOS
Classification: Xamarin
Component: General
: 5.2
: Macintosh Mac OS
: --- normal
: Untriaged
Assigned To: Zoltan Varga
:
:
:
:
  Show dependency treegraph
 
Reported: 2012-08-22 14:22 EDT by David Merriman
Modified: 2012-09-26 16:34 EDT (History)
3 users (show)

See Also:
Tags:
Test Case URL:
External Submit: ---


Attachments

Comment 5 Zoltan Varga 2012-08-23 01:43:26 EDT
Are you using the 'Use LLVM optimizing compiler' option ?
Comment 6 David Merriman 2012-08-23 11:52:16 EDT
We are using LLVM.
Comment 7 Zoltan Varga 2012-08-23 11:54:16 EDT
And does turning that off fixes the problem ?
Comment 8 David Merriman 2012-08-23 12:27:53 EDT
Yes, actually, it does.
Comment 9 David Merriman 2012-09-10 14:18:06 EDT
Is anybody working on this bug?  I gather from our discussion that this is a
problem with the LLVM compiler.  Turning off LLVM is just not an option for us;
we are close to release, and as you can imagine, swapping out the compiler at
the last minute is a little risky.  Can I get an update on what's being done on
this issue?
Comment 10 Zoltan Varga 2012-09-10 14:49:16 EDT
Committed a workaround to mobile-master in
6e2a2668caf337c0e4cbd683d7c561756c4dc3a9.
Comment 11 David Merriman 2012-09-10 15:19:19 EDT
What does that mean for us?  When would this workaround be available in a
stable release?
Comment 12 Zoltan Varga 2012-09-12 10:54:35 EDT
Can somebody answer the question above ?
Comment 13 Rolf Bjarne Kvinge 2012-09-12 18:17:09 EDT
David: there should be another stable release (with this fix) at latest by the
end of next week.
Comment 14 Zoltan Varga 2012-09-14 21:59:23 EDT
This is not fixed, there is only a workaround. David, could you share the
binaries with vargaz@xamarin.com on google drive ?
Comment 15 Rolf Bjarne Kvinge 2012-09-26 16:34:58 EDT
Bug #7449 might be related to this one.

Note You need to log in before you can comment on or make changes to this bug.